package hu.se.app18;

/**
 * Class under test.
 */
public class Geometry3DApp {

	private Cylinder cylinder;

	public Geometry3DApp(Cylinder cylinder) {
		this.cylinder = cylinder;
	}

	/**
	 * Computes the volume of the cyclinder with the given readius and height.
	 * 
	 * @param radius
	 *            the radius of the cylinder.
	 * @param height
	 *            the height of the cylinder.
	 * @return the volume of the cylinder.
	 */
	public double getVolume(double radius, double height) {
		double area = this.cylinder.getGroundArea(radius);
		double volume = this.cylinder.getVolume(area, height);
		return volume;
	}

}
