package hu.se.app19;

/**
 * Calculates the interest of a given amount.
 */
public class InterestCalculator {

	/**
	 * Calculates the interest (Zins) of the amount with the given interest rate
	 * (Zinssatz).
	 * 
	 * @param amount
	 *            the amount of money
	 * @param interestRate
	 *            the interest rate, e.g., 0.03, which means 3%.
	 * @return the interest of the given amount.
	 */
	public double calcInterest(double amount, double interestRate) {
		double result = amount * interestRate;
		// auf zwei Nachkommastellen runden
		return Math.round(result * 100.0) / 100.0;
	}

}
